Skip to main content
POST
/
v1
/
models
cURL
curl --request POST \
--url https://api.baseten.co/v1/models \
--header "Authorization: Bearer $BASETEN_API_KEY" \
--data '{
  "source": null
}'
import requests
import os
API_KEY = os.environ.get("BASETEN_API_KEY", "<YOUR_API_KEY>")
url = "https://api.baseten.co/v1/models"

headers = {"Authorization": f"Bearer {API_KEY}"}

response = requests.request(
"POST",
url,
headers=headers,
json={'source': None}
)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
source: {
lab_display_name: '<string>',
user_defined_listing_id: '<string>',
kind: 'library_listing',
deployed_model_name: '<string>'
}
})
};

fetch('https://api.baseten.co/v1/models', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "model": {
    "id": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "name": "<string>",
    "deployments_count": 123,
    "production_deployment_id": "<string>",
    "development_deployment_id": "<string>",
    "instance_type_name": "<string>",
    "team_name": "<string>"
  },
  "deployment": {
    "id": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "name": "<string>",
    "model_id": "<string>",
    "is_production": true,
    "is_development": true,
    "active_replica_count": 123,
    "autoscaling_settings": {
      "min_replica": 123,
      "max_replica": 123,
      "autoscaling_window": 123,
      "scale_down_delay": 123,
      "concurrency_target": 123,
      "target_utilization_percentage": 123,
      "target_in_flight_tokens": 123,
      "max_scale_down_rate": 123
    },
    "instance_type_name": "<string>",
    "environment": "<string>",
    "labels": {}
  }
}

Authorizations

Authorization
string
header
required

Send Authorization: Bearer <api_key>. The legacy Authorization: Api-Key <api_key> scheme is also accepted.

Body

application/json

Body for creating a model via POST /v1/models.

source
LibraryListingSourceV1 · object
required

Create a model by forking a library listing accessible to the caller's organization.

Response

200 - application/json

A newly created deployment and its model.

model
ModelV1 · object
required

The model the deployment belongs to. May have been created by this call.

deployment
DeploymentV1 · object
required

The newly created deployment.